Skip to main content
GET
/
api
/
v1
/
operator
/
tasks
Browse available tasks
curl --request GET \
  --url https://api.humcli.com/api/v1/operator/tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "task_id": "<string>",
      "title": "<string>",
      "description": "<string>",
      "task_type": "VERIFICATION",
      "location": {
        "lat": 123,
        "lng": 123,
        "address": "<string>"
      },
      "reward_usd": 123,
      "deadline": "<string>",
      "proof_requirements": [
        "<string>"
      ],
      "created_at": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Clerk JWT for operator endpoints.

Query Parameters

task_type
string
limit
string
offset
string

Response

200 - application/json

Available tasks

data
object[]
required
pagination
object
required